# Uses of Class
com.opensymphony.module.sitemesh.mapper.ConfigLoader.State

Packages that use ConfigLoader.State
Package
Description
com.opensymphony.module.sitemesh.mapper

## Uses of ConfigLoader.State in com.opensymphony.module.sitemesh.mapper

Fields in com.opensymphony.module.sitemesh.mapper declared as ConfigLoader.State
Modifier and Type
Field
Description
`private ConfigLoader.State`
ConfigLoader.`state`
Mark volatile so that the installation of new versions is guaranteed to be visible across threads.
Methods in com.opensymphony.module.sitemesh.mapper that return ConfigLoader.State
Modifier and Type
Method
Description
`private ConfigLoader.State`
ConfigLoader.`loadConfig()`
Load configuration from file.
`private ConfigLoader.State`
ConfigLoader.`refresh()`
Check if configuration file has been updated, and if so, reload.
Methods in com.opensymphony.module.sitemesh.mapper with parameters of type ConfigLoader.State
Modifier and Type
Method
Description
`private void`
ConfigLoader.`parseConfig(ConfigLoader.State newState, Document document)`
`private void`
ConfigLoader.`populatePathMapper(ConfigLoader.State newState, NodeList patternNodes, String role, String name)`
`private void`
ConfigLoader.`storeDecorator(ConfigLoader.State newState, Decorator d)`